## ubuntustudio-installer 2.0.1

=== po/installer/Makefile ===
# Makefile for ubuntustudio-installer translations
#
# Usage:
#   make          - compile all .po files to .mo
#   make update   - regenerate the .pot template from source
#   make install  - install .mo files to DESTDIR/usr/share/locale
#   make clean    - remove compiled .mo files
#
DOMAIN   = ubuntustudio-installer
SRCDIR   = ../../usr/share/ubuntustudio-installer
POTFILE  = $(DOMAIN).pot
DESTDIR ?=
PREFIX  ?= /usr/share/locale

POFILES  = $(wildcard *.po)
MOFILES  = $(POFILES:.po=.mo)
LANGS    = $(basename $(POFILES))

.PHONY: all update install clean

all: $(MOFILES)

%.mo: %.po
	msgfmt --check --statistics -o $@ $<

update: $(POTFILE)

$(POTFILE):
	xgettext --language=Python --keyword=_ \
		--package-name=$(DOMAIN) \
		--package-version=1.0 \
		--msgid-bugs-address=ubuntu-studio-devel@lists.ubuntu.com \
		--output=$@ \
		$(SRCDIR)/i18n.py \
		$(SRCDIR)/backend.py \
		$(SRCDIR)/main.py

install: $(MOFILES)
	@for lang in $(LANGS); do \
		dir=$(DESTDIR)$(PREFIX)/$$lang/LC_MESSAGES; \
		echo "Installing $$lang → $$dir/$(DOMAIN).mo"; \
		install -d $$dir; \
		install -m 644 $$lang.mo $$dir/$(DOMAIN).mo; \
	done

clean:
	rm -f $(MOFILES)

## ubuntustudio-installer 0.01

=== debian/changelog ===
ubuntustudio-installer (0.01) saucy; urgency=low

  * Initial release. 
  * Added debian/rules file
  * Added debian/source/format file
  * Fixed control file format error
  * Added an icon for ubuntustudio-installer.
  * Fixed copyright to add Ralf as icon creator.
  * Fixed spelling error in copyright file.
  * Added Keywords line to desktop file.
  * Added man page.
  * fix wording in copyright file
  * Redid man page as gzip src
  * added newline to desktop file
  * Removed unused conflicts line from control
  * Changed debhelper version to what is currently available
  * updated compat to 9
  * Made copyright file machine readable
  * Added Usage for no arguments on command line.
  * Add error dialog for words on command line being non-packages
  * Change progress bar from terminal to gui
  * Change desktop file to set terminal false
  * releasing fixes (LP: #1209414)

 -- Len Ovens <len@ovenwerks.net>  Fri, 23 Aug 2013 15:33:52 +0100

=== debian/control ===
Source: ubuntustudio-installer
Section: admin
Priority: optional
Maintainer: Ubuntu Studio Developers <ubuntu-studio-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntustudio-dev/ubuntustudio/ubuntustudio-installer

Package: ubuntustudio-installer
Architecture: all
Depends: zenity, perl, debconf, policykit-1, ${misc:Depends}
Description: Software installer for Ubuntu Studio
 Takes a list of packages on the command line and allows the user choose
 which package to install. The desktop file should determine the list
 of packages. More than one desktop file can allow each menu category to
 have extra software installable.

## ubuntustudio-installer 0.02

=== debian/changelog ===
ubuntustudio-installer (0.02) disco; urgency=low

  [ Len Ovens ]
  * Fix logging so window doesn't change size (LP: #1816673)
  * Rewrote in tcl/tk
     - Don't display packages that are installed already.
     - Warn user if all packages are already installed and exit.
     - Takes care of install errors.
     - removed useless entries in this file.
     - changed control file to reflect new depends
  * make package list window wide enough the package names can be read
  * Put default package list in script instead of command line
  * Add logout and in warning for RT privileges
  * Change query so that removed packages show
  * Only warn if user not in audio group, fix RT setting
  * Add buttons to add remove backports PPA
  * Fix Selected list background so selected stand out

  [ Erich Eickmeyer ]
  * Added more packages to command
  * Now capable of adding Studio to other Ubuntu flavors
    in conjunction with new packages in ubuntustudio-default-settings
  * Changed empty list error to be more friendly

  [ Ross Gammon ]
  * Use secure URL for copyright file format entry
  * Update copyright year
  * Update Vcs URL to latest location
  * Bump debhelper version to match compat level
  * Tidy changelog entries

 -- Ross Gammon <rossgammon@debian.org>  Mon, 04 Mar 2019 19:20:43 +0100

=== debian/control ===
Source: ubuntustudio-installer
Section: admin
Priority: optional
Maintainer: Ubuntu Studio Developers <ubuntu-studio-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 12)
Standards-Version: 4.3.0
Vcs-Git: https://git.launchpad.net/ubuntustudio-installer
Vcs-Browser: https://git.launchpad.net/ubuntustudio-installer

Package: ubuntustudio-installer
Architecture: all
Depends: tcl, tk, debconf, policykit-1, ubuntustudio-controls,
 software-properties-common, ${misc:Depends}
Description: Software installer for Ubuntu Studio
 Takes a list of packages on the command line and allows the user choose
 which package to install. The desktop file should determine the list
 of packages. More than one desktop file can allow each menu category to
 have extra software installable.

## ubuntustudio-installer 0.04~19.04.1

=== debian/changelog ===
ubuntustudio-installer (0.04~19.04.1) disco; urgency=medium

  * Fix default application count
  * Fix for potentialy undesired gnome install (LP: #1833740)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 16 Jun 2019 19:03:53 -0700

ubuntustudio-installer (0.03) eoan; urgency=medium

  [ Erich Eickmeyer ]
  * Reduce compat and debhelper for backwards compatibility
  * Remove ubuntustudio-gnome-branding as installer option

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 11 May 2019 10:19:03 -0700

## ubuntustudio-installer 0.06

=== debian/changelog ===
ubuntustudio-installer (0.06) eoan; urgency=medium

  [ Len Ovens ]
  * Fix progress bar math (LP: #1839182) 

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 29 Aug 2019 19:27:10 -0700

ubuntustudio-installer (0.05) eoan; urgency=medium

  [ Len Ovens ]
  * Allow return to package list screen (LP: #1825141)
  * Fix glob with no file present error
  * PPA buttons should be disabled while installing

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 19 Jul 2019 16:58:25 -0700

ubuntustudio-installer (0.04) eoan; urgency=medium

  * Fix default application count

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 16 Jun 2019 19:03:53 -0700

## ubuntustudio-installer 0.08

=== debian/changelog ===
ubuntustudio-installer (0.08) focal; urgency=medium

  * Fixed typographical error (all ready -> already)

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 13 Apr 2020 08:20:25 -0700

ubuntustudio-installer (0.07) focal; urgency=medium

  [ Len Ovens ]
  * output line from apt gives error when read (LP: #1868855)
  * random string can not be used directly as a list

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Wed, 25 Mar 2020 16:56:24 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Studio Developers <ubuntu-studio-devel@lists.ubuntu.com>
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 11)
 Standards-Version: 4.3.0
 Vcs-Git: https://git.launchpad.net/ubuntustudio-installer
 Vcs-Browser: https://git.launchpad.net/ubuntustudio-installer

## ubuntustudio-installer 0.10

=== debian/changelog ===
ubuntustudio-installer (0.10) groovy; urgency=medium

  * Updated d/control
  * Removed ubuntustudio-branding-common from package selection
  * Organize menu

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 31 May 2020 19:54:34 -0700

ubuntustudio-installer (0.09) groovy; urgency=medium

  * Changed dependency from ubuntustudio-controls to studio-controls

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Wed, 13 May 2020 09:03:00 -0700

=== debian/control ===
Source: ubuntustudio-installer
Section: admin
Priority: optional
Maintainer: Ubuntu Studio Developers <ubuntu-studio-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Vcs-Git: https://git.launchpad.net/ubuntustudio-installer
Vcs-Browser: https://git.launchpad.net/ubuntustudio-installer

Package: ubuntustudio-installer
Architecture: all
Depends: tcl, tk, debconf, policykit-1, studio-controls,
 software-properties-common, ${misc:Depends}
Description: Software Installer for Ubuntu Studio
 Installs Ubuntu Studio's backend configuration on Ubuntu and
 official Ubuntu flavours and gives metapackage selection GUI
 for users to creativity applications for their purposes or
 further configure their installation.

## ubuntustudio-installer 0.13

=== debian/changelog ===
ubuntustudio-installer (0.13) kinetic; urgency=medium

  * Actually fix duplicate entries bug

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 11 Sep 2022 18:59:06 -0700

ubuntustudio-installer (0.12) kinetic; urgency=medium

  * Bugfix: Ubuntu Studio Feature Uninstaller
    - No longer has duplicate entries
  * Icon for ubuntustudio-feat-uninstaller
  * New icon for ubuntustudio-installer
  * Update d/copyright for new icons

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 11 Sep 2022 18:14:43 -0700

ubuntustudio-installer (0.11) kinetic; urgency=medium

  * Added Ubuntu Studio Feature Uninstaller
    - highly requested utility to remove entire metapackages and
      their depends/recommends via autoremove if able
  * Bumped standards-version
  * Build-dep debhelper-compat to 13

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 17 Jul 2022 18:08:40 -0700

=== debian/control ===
Source: ubuntustudio-installer
Section: admin
Priority: optional
Maintainer: Ubuntu Studio Developers <ubuntu-studio-devel@lists.ubuntu.com>
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/ubuntustudio-installer
Vcs-Browser: https://git.launchpad.net/ubuntustudio-installer

Package: ubuntustudio-installer
Architecture: all
Depends: tcl, tk, debconf, policykit-1, studio-controls,
 software-properties-common, ${misc:Depends}, kdialog, zenity
Description: Software Installer for Ubuntu Studio
 Installs Ubuntu Studio's backend configuration on Ubuntu and
 official Ubuntu flavours and gives metapackage selection GUI
 for users to creativity applications for their purposes or
 further configure their installation.

## ubuntustudio-installer 0.13.1

=== debian/changelog ===
ubuntustudio-installer (0.13.1) kinetic; urgency=medium

  * Add jackd2 to recommends
    - Prevents installation issues if installed later on
  * Remove dependency on studio-controls (LP: #2001577)
    - Now includes script from studio-controls previously used
  * Installs studio-controls optionally 
    - For pipewire usesrs as studio-controls conflicts with pipewire

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 21 Dec 2022 08:21:31 -0800

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 
 Package: ubuntustudio-installer
 Architecture: all
-Depends: tcl, tk, debconf, policykit-1, studio-controls,
- software-properties-common, ${misc:Depends}, kdialog, zenity
+Depends: tcl, tk, debconf, policykit-1, software-properties-common, 
+ ${misc:Depends}, kdialog, zenity
+Recommends: jackd2
 Description: Software Installer for Ubuntu Studio
  Installs Ubuntu Studio's backend configuration on Ubuntu and
  official Ubuntu flavours and gives metapackage selection GUI

## ubuntustudio-installer 1.5

=== debian/changelog ===
ubuntustudio-installer (1.5) lunar; urgency=medium

  * Stop using explicit strings to determine package status (LP: #2014974)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 01 Apr 2023 17:12:17 -0700

ubuntustudio-installer (1.4) lunar; urgency=medium

  * Switch studio-controls out for ubuntustudio-pulseaudio-config

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 01 Apr 2023 17:08:31 -0700

ubuntustudio-installer (1.3) lunar; urgency=medium

  * Show better description of lowlatency kernel

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 08 Feb 2023 20:08:23 -0800

ubuntustudio-installer (1.2) lunar; urgency=medium

  * Streamline package removal process

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 28 Jan 2023 08:32:32 -0800

ubuntustudio-installer (1.1) lunar; urgency=medium

  * Reverse operation of package install/uninstall operations
    -Makes overall operation quicker and more efficient

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 19 Jan 2023 15:08:34 -0800

ubuntustudio-installer (1.0) lunar; urgency=medium

  * Complete rewrite using zenity interface and qapt-batch backend
  * Feature uninstaller now built-in
  * Update of depends, much simpler

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 07 Jan 2023 21:27:27 -0800

ubuntustudio-installer (0.16) lunar; urgency=medium

  * Add jackd2 to recommends
    - Prevents installation issues if installed later on

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Jan 2023 17:28:11 -0800

ubuntustudio-installer (0.15) lunar; urgency=medium

  * Add ubuntustudio-pipewire-config to selections

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 02 Jan 2023 16:48:55 -0800

ubuntustudio-installer (0.14) lunar; urgency=medium

  * Remove dependency on studio-controls
    - Now includes script from studio-controls previously used
  * Installs studio-controls optionally

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 21 Dec 2022 08:21:31 -0800

## ubuntustudio-installer 1.9

=== debian/changelog ===
ubuntustudio-installer (1.9) mantic; urgency=medium

  * audio-config: Add fontend to enable/disable pipewire-jack

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 02 Aug 2023 17:06:13 -0700

ubuntustudio-installer (1.8) mantic; urgency=medium

  * Change audio-config window icon to correct icon

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 02 Jul 2023 11:40:07 -0700

ubuntustudio-installer (1.7) mantic; urgency=medium

  * Removed ubuntustudio-pipewire-config and ubuntustudio-pulseaudio-config
    from installation selections (now deps of audio-core)
  * Added ubuntustudio-audio-config for easy configuration of PipeWire Quantum
    and easy switch between pipewire-config and pulseaudio-config

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 27 Jun 2023 12:21:54 -0700

ubuntustudio-installer (1.6) mantic; urgency=medium

  * Remove PPA subroutines per previous announcement

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 11 Jun 2023 12:00:41 -0700

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
 
 Package: ubuntustudio-installer
 Architecture: all
-Depends: tcl, tk, debconf, policykit-1, software-properties-common, 
- ${misc:Depends}, kdialog, zenity
-Recommends: jackd2
+Depends:  ${misc:Depends}, pkexec, ppa-purge, qapt-batch, zenity
 Description: Software Installer for Ubuntu Studio
  Installs Ubuntu Studio's backend configuration on Ubuntu and
  official Ubuntu flavours and gives metapackage selection GUI
  for users to creativity applications for their purposes or
  further configure their installation.
+

## ubuntustudio-installer 1.9.1

=== debian/changelog ===
ubuntustudio-installer (1.9.1) mantic; urgency=medium

  * No-change backport to mantic.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 10 Nov 2023 07:01:23 -0800

ubuntustudio-installer (1.10) noble; urgency=medium

  * Fix for variable no longer setting latency or samplerate (LP: #2043214)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 10 Nov 2023 06:37:53 -0800

## ubuntustudio-installer 1.18

=== debian/changelog ===
ubuntustudio-installer (1.18) noble; urgency=medium

  * Fix dummy audio systemd service global enablement (LP: #2061858)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 16 Apr 2024 08:26:26 -0700

ubuntustudio-installer (1.17) noble; urgency=medium

  * Additional wording refinements

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 23 Feb 2024 15:52:52 -0800

ubuntustudio-installer (1.16) noble; urgency=medium

  * Fix "Switch Configuration" not opening, causing loop

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 22 Feb 2024 12:04:24 -0800

ubuntustudio-installer (1.15) noble; urgency=medium

  * Lower "Switch Configuration" to bottom of menu, make recommendation
    whether or not to execute or not depending on if it is on
    PipeWire configuration (recommended) or PulseAudio/JACK (NOT)
    depending on current configuration.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 20 Feb 2024 16:28:55 -0800

ubuntustudio-installer (1.14) noble; urgency=medium

  * Change recommendations and vernacular

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 17 Feb 2024 14:57:36 -0800

ubuntustudio-installer (1.13) noble; urgency=medium

  * Add ubuntu-edu-music to package selections

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 04 Feb 2024 13:42:03 -0800

ubuntustudio-installer (1.12) noble; urgency=medium

  * Remove accidental system-wide enablement of dummy audio device

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 22 Jan 2024 18:19:30 -0800

ubuntustudio-installer (1.11) noble; urgency=medium

  * Enable dummy audio output capabilities

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 08 Jan 2024 13:37:34 -0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 Package: ubuntustudio-installer
 Architecture: all
-Depends:  ${misc:Depends}, pkexec, ppa-purge, qapt-batch, zenity
+Depends:  ${misc:Depends}, pkexec, ppa-purge, qapt-batch, zenity, 
+          pulseaudio-utils
 Description: Software Installer for Ubuntu Studio
  Installs Ubuntu Studio's backend configuration on Ubuntu and
  official Ubuntu flavours and gives metapackage selection GUI

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installsystemduser:
	dh_installsystemduser --no-enable ubuntustudio-dummy-audio.service
	dh_installsystemduser ubuntustudio-pwconfig-start.service

## ubuntustudio-installer 1.18.4

=== debian/changelog ===
ubuntustudio-installer (1.18.4) noble; urgency=medium

  * Prevent ubuntudio-fix-firstrun.service from launching for live
    session user (LP: #2067512)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 14 Jun 2024 12:00:42 -0700

ubuntustudio-installer (1.18.3) noble; urgency=medium

  * Globally enable ubuntustudio-fix-firstrun.service (LP: #2067510)
  * Prevent ubuntustudio-fix-firstrun.service from having effect
    on live session user (LP: #2067512)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 29 May 2024 11:33:00 -0700

ubuntustudio-installer (1.18.2) noble; urgency=medium

  * Fix for correct target for audio config check (LP: #2063899)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 06 May 2024 11:57:23 -0700

ubuntustudio-installer (1.18.1) noble; urgency=medium

  * Fix missing user audio config (mem limits, group) (LP: #2063899)
  * Fix "Switch Configuration" loop bug (LP: #2064170)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 26 Apr 2024 18:00:44 -0700

## ubuntustudio-installer 1.18.5

=== debian/changelog ===
ubuntustudio-installer (1.18.5) noble; urgency=medium

  * Fix for metapackage remover not removing (LP: #2083262)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 30 Sep 2024 08:49:08 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: ubuntustudio-installer
 Architecture: all
 Depends:  ${misc:Depends}, pkexec, ppa-purge, qapt-batch, zenity, 
-          pulseaudio-utils
+          pulseaudio-utils, polkitd-pkla
 Description: Software Installer for Ubuntu Studio
  Installs Ubuntu Studio's backend configuration on Ubuntu and
  official Ubuntu flavours and gives metapackage selection GUI

## ubuntustudio-installer 1.25

=== debian/changelog ===
ubuntustudio-installer (1.25) oracular; urgency=medium

  * Fix refind support for kernel boot parameters

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 09 Jul 2024 20:14:21 -0700

ubuntustudio-installer (1.24) oracular; urgency=medium

  * Remove lowlatency kernel from installer options

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 05 Jul 2024 08:44:52 -0700

ubuntustudio-installer (1.23) oracular; urgency=medium

  * Introduce modificaiton of lowlatency boot parameters
  * Add support for refind to lowlatency boot parameter modification

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 18 Jun 2024 15:23:43 -0700

ubuntustudio-installer (1.22) oracular; urgency=medium

  * Prevent ubuntudio-fix-firstrun.service from launching for live
    session user (LP: #2067512)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 14 Jun 2024 12:00:42 -0700

ubuntustudio-installer (1.21) oracular; urgency=medium

  * Globally enable ubuntustudio-fix-firstrun.service (LP: #2067510)
  * Prevent ubuntustudio-fix-firstrun.service from having effect
    on live session user (LP: #2067512)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 29 May 2024 11:33:00 -0700

ubuntustudio-installer (1.20) oracular; urgency=medium

  * Fix for correct target for audio config check (LP: #2063899)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 06 May 2024 11:57:23 -0700

ubuntustudio-installer (1.19) oracular; urgency=medium

  * Fix missing user audio config (mem limits, group) (LP: #2063899)
  * Fix "Switch Configuration" loop bug (LP: #2064170)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 26 Apr 2024 18:00:44 -0700

## ubuntustudio-installer 1.32

=== debian/changelog ===
ubuntustudio-installer (1.32) oracular; urgency=medium

  * Fix for metapackage remover not removing (LP: #2083262)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 30 Sep 2024 08:39:04 -0700

ubuntustudio-installer (1.31) oracular; urgency=medium

  * Fix boot parameter parsing reversal

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 25 Sep 2024 16:06:47 -0700

ubuntustudio-installer (1.30) oracular; urgency=medium

  * Remove PulseAudio + JACK switch (deprecated)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 21 Aug 2024 08:28:26 -0700

ubuntustudio-installer (1.29) oracular; urgency=medium

  * Add dummy audio input (thanks to sirsipe on Matrix)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 06 Aug 2024 15:02:34 -0700

ubuntustudio-installer (1.28) oracular; urgency=medium

  * Pulsate with kernel update
  * Minor code cleanup

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Jul 2024 14:35:22 -0700

ubuntustudio-installer (1.27) oracular; urgency=medium

  * update-grub on kernel config update

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Jul 2024 12:11:37 -0700

ubuntustudio-installer (1.26) oracular; urgency=medium

  * Change defaults for boot parameters

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 15 Jul 2024 11:26:45 -0700

## ubuntustudio-installer 1.33

=== debian/changelog ===
ubuntustudio-installer (1.33) plucky; urgency=medium

  * Fix polkit configuration, no longer depends on polkitd-pkla

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 13 Nov 2024 09:56:23 -0800

## ubuntustudio-installer 1.34

=== debian/changelog ===
ubuntustudio-installer (1.34) plucky; urgency=medium

  * Update audio configuration for new pipewire memlocks

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 12 Feb 2025 16:31:06 -0800

## ubuntustudio-installer 1.35

=== debian/changelog ===
ubuntustudio-installer (1.35) questing; urgency=medium

  * Expanded pipewire-JACK configuration GUI
  * Added rcu_nocbs=all to kernel boot parameter options

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 02 Aug 2025 15:37:10 -0700

## ubuntustudio-installer 1.36

=== debian/changelog ===
ubuntustudio-installer (1.36) questing; urgency=medium

  * Prepopulate quantum field
  * Allow to back-out at first config dialog

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 10 Aug 2025 07:44:57 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: ubuntustudio-installer
 Architecture: all
 Depends:  ${misc:Depends}, pkexec, ppa-purge, qapt-batch, zenity, 
-          pulseaudio-utils, polkitd-pkla
+          pulseaudio-utils, polkitd
 Description: Software Installer for Ubuntu Studio
  Installs Ubuntu Studio's backend configuration on Ubuntu and
  official Ubuntu flavours and gives metapackage selection GUI

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,4 @@
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable ubuntustudio-dummy-audio.service
 	dh_installsystemduser ubuntustudio-pwconfig-start.service
+	dh_installsystemduser ubuntustudio-fix-firstrun.service

## ubuntustudio-installer 1.37

=== debian/changelog ===
ubuntustudio-installer (1.37) resolute; urgency=medium

  * Add pipewire widget detection

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 30 Jan 2026 20:38:40 +0000

## ubuntustudio-installer 1.38

=== debian/changelog ===
ubuntustudio-installer (1.38) resolute; urgency=medium

  * Add GNOME Shell extension detection

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 15 Feb 2026 10:52:29 -0800

## ubuntustudio-installer 2.0.1

=== debian/changelog ===
ubuntustudio-installer (2.0.1) resolute; urgency=medium

  * Fix Desktop Environment detection - determines frontend toolkit

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 17 Feb 2026 20:05:10 -0800

ubuntustudio-installer (2.0.0) resolute; urgency=medium

  * Python rewrite, including language translations

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 16 Feb 2026 18:51:34 -0800

## ubuntustudio-installer 2.0.2

=== po/audio-config/Makefile ===
# Makefile for ubuntustudio-audio-config translations
#
# Usage:
#   make          - compile all .po files to .mo
#   make update   - regenerate the .pot template from source
#   make install  - install .mo files to DESTDIR/usr/share/locale
#   make clean    - remove compiled .mo files
#
DOMAIN   = ubuntustudio-audio-config
SRCDIR   = ../../usr/share/ubuntustudio-audio-config
POTFILE  = $(DOMAIN).pot
DESTDIR ?=
PREFIX  ?= /usr/share/locale

POFILES  = $(wildcard *.po)
MOFILES  = $(POFILES:.po=.mo)
LANGS    = $(basename $(POFILES))

.PHONY: all update install clean

all: $(MOFILES)

%.mo: %.po
	msgfmt --check --statistics -o $@ $<

update: $(POTFILE)

$(POTFILE):
	xgettext --language=Python --keyword=_ \
		--package-name=$(DOMAIN) \
		--package-version=1.0 \
		--msgid-bugs-address=ubuntu-studio-devel@lists.ubuntu.com \
		--output=$@ \
		$(SRCDIR)/i18n.py \
		$(SRCDIR)/backend/audio_config.py \
		$(SRCDIR)/ui/base.py \
		$(SRCDIR)/ui/gtk_ui.py \
		$(SRCDIR)/ui/qt_ui.py \
		$(SRCDIR)/main.py

install: $(MOFILES)
	@for lang in $(LANGS); do \
		dir=$(DESTDIR)$(PREFIX)/$$lang/LC_MESSAGES; \
		echo "Installing $$lang → $$dir/$(DOMAIN).mo"; \
		install -d $$dir; \
		install -m 644 $$lang.mo $$dir/$(DOMAIN).mo; \
	done

clean:
	rm -f $(MOFILES)

=== debian/changelog ===
ubuntustudio-installer (2.0.2) resolute; urgency=medium

  * Add StartupWMClass to desktop entries and improve UI dialog handling

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 18 Feb 2026 12:27:42 -0800

## ubuntustudio-installer 2.0.3

=== debian/changelog ===
ubuntustudio-installer (2.0.3) resolute; urgency=medium

  * Fix translation build

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 20 Feb 2026 08:53:15 -0800

## ubuntustudio-installer 2.0.4

=== debian/changelog ===
ubuntustudio-installer (2.0.4) resolute; urgency=medium

  * Enhance Qt interface

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 21 Feb 2026 13:24:18 -0800

## ubuntustudio-installer 2.0.5

=== debian/changelog ===
ubuntustudio-installer (2.0.5) resolute; urgency=medium

  * Add FFADO support

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 21 Feb 2026 15:23:34 -0800

## ubuntustudio-installer 2.0.6

=== po/audio-config/Makefile ===
--- 
+++ 
@@ -23,20 +23,22 @@
 %.mo: %.po
 	msgfmt --check --statistics -o $@ $<
 
-update: $(POTFILE)
-
-$(POTFILE):
+update:
 	xgettext --language=Python --keyword=_ \
 		--package-name=$(DOMAIN) \
 		--package-version=1.0 \
 		--msgid-bugs-address=ubuntu-studio-devel@lists.ubuntu.com \
-		--output=$@ \
+		--output=$(POTFILE) \
 		$(SRCDIR)/i18n.py \
 		$(SRCDIR)/backend/audio_config.py \
 		$(SRCDIR)/ui/base.py \
 		$(SRCDIR)/ui/gtk_ui.py \
 		$(SRCDIR)/ui/qt_ui.py \
 		$(SRCDIR)/main.py
+	@for po in $(POFILES); do \
+		echo "Merging $$po..."; \
+		msgmerge --update --backup=none $$po $(POTFILE); \
+	done
 
 install: $(MOFILES)
 	@for lang in $(LANGS); do \

=== po/installer/Makefile ===
--- 
+++ 
@@ -33,7 +33,10 @@
 		--output=$@ \
 		$(SRCDIR)/i18n.py \
 		$(SRCDIR)/backend.py \
-		$(SRCDIR)/main.py
+		$(SRCDIR)/main.py \
+		$(SRCDIR)/ui/base.py \
+		$(SRCDIR)/ui/gtk_ui.py \
+		$(SRCDIR)/ui/qt_ui.py
 
 install: $(MOFILES)
 	@for lang in $(LANGS); do \

=== debian/changelog ===
ubuntustudio-installer (2.0.6) resolute; urgency=medium

  * Fix GTK UI width issues

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 22 Feb 2026 17:49:06 -0800

=== debian/control ===
Source: ubuntustudio-installer
Section: admin
Priority: optional
Maintainer: Ubuntu Studio Developers <ubuntu-studio-devel@lists.ubuntu.com>
Build-Depends: debhelper-compat (=13),
               gettext,
               python3
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/ubuntustudio-installer
Vcs-Browser: https://git.launchpad.net/ubuntustudio-installer

Package: ubuntustudio-installer
Architecture: all
Depends:  ${misc:Depends}, pkexec,
          pulseaudio-utils, polkitd,
          python3 (>= 3.9),
          gir1.2-adw-1 | python3-pyqt6,
          python3-gi | python3-pyqt6
Description: Installer and audio configuration tools for Ubuntu Studio
 Provides GUI tools for installing Ubuntu Studio on Ubuntu and official
 Ubuntu flavours. Includes a metapackage selection interface for choosing
 creative application sets, an audio configuration utility for setting
 buffer sizes and sample rates, backend audio configuration (PipeWire),
 polkit policy, and related systemd user services.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,18 @@
 #!/usr/bin/make -f
 %:
 	dh $@
+
+override_dh_auto_build:
+	$(MAKE) -C po/audio-config all
+	$(MAKE) -C po/installer all
+
+override_dh_auto_install:
+	$(MAKE) -C po/audio-config install DESTDIR=$(CURDIR)/debian/ubuntustudio-installer
+	$(MAKE) -C po/installer install DESTDIR=$(CURDIR)/debian/ubuntustudio-installer
+
+override_dh_auto_clean:
+	$(MAKE) -C po/audio-config clean
+	$(MAKE) -C po/installer clean
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable ubuntustudio-dummy-audio.service
